/*=============================================================================
  Copyright (c) YOUR_COPYRIGHT_MESSAGE_HERE

  File: MoveTowards_access.h

  Author: pmG
  Date: 3/26/03

  Description: This file houses the access_func for one or more modules.
  The access_func defined here can handle all messages and will delegate them to 
  entry_funcs. Typically you will not need to modify anything in this file other 
  than text replacement for your specific module and plugin names.

=============================================================================*/
#include "ActionExamples.h"

FX_ACCESSFUNC(MoveTowards_access_func)
// FXint access_func(FX_AccessInfo *ai, FXentity ID, FXint level, FXint64 entry)
{
	switch( level )
	{
	case ACCESS_ACTION:
		return MoveTowards_entry_action( ai, ID, entry );

	case ACCESS_SYSTEM:
		return MoveTowards_entry_system( ai, ID, entry );
	}

	return ENTRY_OK;

}