#include "ActionExamples.h"

extern char *Target_key;

FX_CONCALLBACK(Target_targetList_cb);

FX_ENTRYFUNC(Target_entry_interface)
// FXint f(FX_AccessInfo *ai, FXentity ID, FXint64 entry)
{
	FXobject object = (FXobject)ID;

	switch(entry)
	{
	case IN_CREATE:
		{
			FXcontrol block, targetList;


			block = fxCC_Block( "Target", NULL, ACC_NONE, FX_NOFLAG );

			targetList = fxCC_ObjectPopup( "Object", Target_targetList_cb, ACC_VALUE|ACC_UPDATE, 
									  163, NULL, NULL, NULL, OBJPOPUP_NONE|OBJPOPUP_FILTER_SHADERS );

			fxConSetPos( targetList, 60, 10	);

		} // IN_CREATE
		break;

	}
	return ENTRY_OK;
}

FX_CONCALLBACK(Target_targetList_cb)
//FX_CONCALLBACK(func)	FXint	func(FXcontrol ctl,  FXentity ctl_data, FX_Arg *arg, FXint64 entry)
// Target_targetList_cb, ACC_VALUE|ACC_UPDATE
{
	FXaction action = (FXaction)ctl_data;
	Target_state *state = NULL;

	// get state data from action
	if( !(state = fxDataGet( action, &Target_key, 0)) )
	{
		fxMessageSend( action, "ActionExamples.mp", FX_MESSAGE_ERROR, "Target - Data Retrieval Failure", NULL );
		return ENTRY_BREAK;
	}

	switch( entry )
	{
		case ACC_VALUE:
		{
			fxConGetObj( ctl, &(state->target) );
		}
		break;

		case ACC_UPDATE:
		{
			fxConSetObj( ctl, state->target );
		}
		break;

	}

	return ENTRY_OK;
}