/*=============================================================================
  Copyright (c) 1999-2003 pmG Worldwide, LLC.

  Author: Ron Griswold
  Date: 03/14/03

  Description: A simple mfunc that displays a message box saying "Hello World!"
  See the tutorials section of the docs for a detailed description of this file.	

=============================================================================*/
#define _MESSIAH_FULL_API
#define _MAINPLUGIN_FILE

#include <messiah_main.h>

FX_EXPFUNC( Exec, void, data );

_pluginEntry
// FXint messiahEntry(FXchar pname[256], FXvoid *api_func, FXint api, FXint program, const FXchar *rev)
{

	// Get all API components and do initial plugin setup
	_MESSIAH_PLUGIN_ALL("Hello_Func");

	// Describe the mfunc in English
	fxFunctionDescription("My first messiah plugin!", FX_NOFLAG);

	// Register the mfunc
	fxFunctionRegister("HelloFunc", FX_FUNCCLASS_GENERAL, &Exec, NULL, FX_ARG_INT, FX_NOFLAG);

	return FX_PLUGIN_OK;
}

_pluginExit
// FXvoid messiahExit(FXvoid)
{

}

FX_EXPFUNC( Exec, void, data )
// FXint f(FX_Arg *return_arg, dt *ed)
{

	// Display the message box
	fxMessageSend(FX_NULLID, "HelloFunc", FX_MESSAGE_POST, "Hello World!", NULL);

	// Set the return value, stored in the FX_Arg *return_arg at index 0
	fxArgSetInt( return_arg, NULL, 0, 1);

	return FX_FUNC_OK;
}