/*=============================================================================
  Copyright (c) YOUR_COPYRIGHT_MESSAGE_HERE

  File: MODNAME_entry_object.h

  Author: YOU
  Date: DATE

  Description: { fill in with your module's ACCESS_OBJECT handler, some common AN's are provided }

=============================================================================*/
#include "PLUGNAME.h"

FX_ENTRYFUNC(MODNAME_entry_object)
// FXint f(FX_AccessInfo *ai, FXentity ID, FXint64 entry)
{
	//FXshader shader = (FXshader)ID;	// shader that triggered this notification
	//FXeffect effect = (FXeffect)ID;	// effect that triggered this notification
	FXobject object = (FXobject)ID;		// generic FXobject that triggered this notification
	//MODNAME_state *state = NULL;		// state data variable


	switch( entry )
	{
	case O_CREATE:	// Object created
		{
			// Allocate State Data
			//if( !(state = (MODNAME_state *)calloc(1, sizeof(MODNAME_state))) )	return ENTRY_BREAK;

			// Attach State Data to Object
			//fxObjectSetTypeData( object, state, FX_NOFLAG );

		}// O_CREATE
		break;

	case O_DESTROY:	// Object destroyed
		{
			/*
			// Get State Data
			if( (state = fxObjectGetTypeData( object, FX_NOFLAG)) )
			{
				free(state);
				fxObjectSetTypeData( object, NULL, FX_NOFLAG);
			}
			*/

		}// O_DESTROY
		break;

	case O_LOAD:	// Object loaded from file
		{
			FX_Format *f;

			// Get State Data
			//if( !(state = fxObjectGetTypeData( object, FX_NOFLAG )) )	return ENTRY_BREAK;

			// Retrieve our format from ai
			f = fxFormatGet(ai, "MODNAME");
				
				// TODO: Store state data here

		}// O_LOAD
		break;

	case O_SAVE:	// Object saving to file
		{
			FX_Format *f;

			// Get State Data
			//if( !(state = fxObjectGetTypeData(object, FX_NOFLAG)) )	return ENTRY_BREAK;
			// TODO: initialize data prior to loading
			
			
			// Create new format called "MODNAME
			f = fxFormatNew( ai, "MODNAME", FX_NOFLAG );

				// TODO: Retrieve state data here
		}// O_SAVE
		break;

	case O_ENTER_SETUP:	// Object has entered Setup mode
		{
			//if( !(state = fxObjectGetTypeData(object, FX_NOFLAG)) )	return ENTRY_BREAK;
			//state->in_setup = FX_TRUE;
		}// O_ENTER_SETUP
		break;

	case O_EXIT_SETUP:	// Object is leaving Setup mode
		{
			//if( !(state = fxObjectGetTypeData(object, FX_NOFLAG)) )	return ENTRY_BREAK;
			//state->in_setup = FX_FALSE;
		}// O_EXIT_SETUP
		break;
	}

	return ENTRY_OK;

}