/*=============================================================================
  Copyright (c) 1999-2003 pmG Worldwide, LLC.

  Author: Ron Griswold
  Date: 03/14/03

  Description: Simple effect that scales an object's points along their normals.
  See the tutorials section of the docs for a detailed description of this file.	

=============================================================================*/
#define _MESSIAH_FULL_API
#include <messiah_main.h>

// Access Function
FX_ACCESSFUNC(NormScaleAccess);

// Effect's state data structure
typedef struct
{
	FXdouble	scale;
} NormScaleState;
